(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     76446,       1699]
NotebookOptionsPosition[     76037,       1681]
NotebookOutlinePosition[     76371,       1696]
CellTagsIndexPosition[     76328,       1693]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Financial", " ", "Modelling", " ", "using", " ", "Repeated", " ", 
    "Replace"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"timestart", "=", 
     RowBox[{"AbsoluteTime", "[", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"periods", "=", "3"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"n", "=", "periods"}], ";"}], 
   RowBox[{"(*", 
    RowBox[{
    "since", " ", "this", " ", "approach", " ", "uses", " ", "the", " ", 
     "zero", " ", "index", " ", "for", " ", "initial", " ", "conditions"}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"eqns", "=", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"**", " ", "Projection"}], " ", "assumptions"}], " ", 
       "***)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"salesgrowthrate", "[", "t", "]"}], "\[Equal]", 
        RowBox[{"salesgrowthrate", "[", 
         RowBox[{"t", "-", "1"}], "]"}]}], " ", ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"expensesgrowthrate", "[", "t", "]"}], "\[Equal]", 
        RowBox[{"expensesgrowthrate", "[", 
         RowBox[{"t", "-", "1"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"newloan", "[", "t", "]"}], "\[Equal]", 
        RowBox[{"newloan", "[", 
         RowBox[{"t", "-", "1"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"newcapital", "[", "t", "]"}], "\[Equal]", 
        RowBox[{"newcapital", "[", 
         RowBox[{"t", "-", "1"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"newassets", "[", "t", "]"}], "\[Equal]", 
        RowBox[{"depreciation", "[", 
         RowBox[{"t", "-", "1"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"depreciationrate", "[", "t", "]"}], "\[Equal]", 
        RowBox[{"depreciationrate", "[", 
         RowBox[{"t", "-", "1"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"loanintrate", "[", "t", "]"}], "\[Equal]", 
        RowBox[{"loanintrate", "[", 
         RowBox[{"t", "-", "1"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"netcashintrate", "[", "t", "]"}], "\[Equal]", 
        RowBox[{"netcashintrate", "[", 
         RowBox[{"t", "-", "1"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"taxrate", "[", "t", "]"}], "\[Equal]", 
        RowBox[{"taxrate", "[", 
         RowBox[{"t", "-", "1"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"daysdebtors", "[", "t", "]"}], "\[Equal]", 
        RowBox[{"daysdebtors", "[", 
         RowBox[{"t", "-", "1"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"daysstock", "[", "t", "]"}], "\[Equal]", 
        RowBox[{"daysstock", "[", 
         RowBox[{"t", "-", "1"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"dayscreditors", "[", "t", "]"}], "\[Equal]", 
        RowBox[{"dayscreditors", "[", 
         RowBox[{"t", "-", "1"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"divpayoutratio", "[", "t", "]"}], "\[Equal]", 
        RowBox[{"divpayoutratio", "[", 
         RowBox[{"t", "-", "1"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"interimdivpropn", "[", "t", "]"}], "\[Equal]", 
        RowBox[{"interimdivpropn", "[", 
         RowBox[{"t", "-", "1"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"interimprofitpropn", "[", "t", "]"}], "\[Equal]", 
        RowBox[{"interimprofitpropn", "[", 
         RowBox[{"t", "-", "1"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"interimnewcapitalpropn", "[", "t", "]"}], "\[Equal]", 
        RowBox[{"interimnewcapitalpropn", "[", 
         RowBox[{"t", "-", "1"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"interimnewloanpropn", "[", "t", "]"}], "\[Equal]", 
        RowBox[{"interimnewloanpropn", "[", 
         RowBox[{"t", "-", "1"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"interimnewassetspropn", "[", "t", "]"}], "\[Equal]", 
        RowBox[{"interimnewassetspropn", "[", 
         RowBox[{"t", "-", "1"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"**", " ", "MAIN"}], " ", "MODEL"}], " ", "***)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
          RowBox[{"*", " ", "P"}], "&"}], "L"}], " ", "**)"}], 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"sales", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"sales", "[", 
          RowBox[{"t", "-", "1"}], "]"}], 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"salesgrowthrate", "[", "t", "]"}]}], ")"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"expenses", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"expenses", "[", 
          RowBox[{"t", "-", "1"}], "]"}], 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"expensesgrowthrate", "[", "t", "]"}]}], ")"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"start", " ", "of", " ", "interest", " ", "calculation"}], 
        " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"first", " ", "half"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"intloan1", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"loan", "[", 
             RowBox[{"t", "-", "1"}], "]"}], "/", "2"}], "+", 
           RowBox[{
            RowBox[{"newloan", "[", "t", "]"}], 
            RowBox[{
             RowBox[{"interimnewloanpropn", "[", "t", "]"}], "/", "4"}]}]}], 
          ")"}], 
         RowBox[{"loanintrate", "[", "t", "]"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"intcf1", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"collections", "[", "t", "]"}], "-", 
            RowBox[{"payments", "[", "t", "]"}]}], ")"}], 
          RowBox[{"interimprofitpropn", "[", "t", "]"}]}], "+", 
         RowBox[{
          RowBox[{"newcapital", "[", "t", "]"}], 
          RowBox[{"interimnewcapitalpropn", "[", "t", "]"}]}], "+", 
         RowBox[{
          RowBox[{"newloan", "[", "t", "]"}], 
          RowBox[{"interimnewloanpropn", "[", "t", "]"}]}], "-", " ", 
         RowBox[{
          RowBox[{"newassets", "[", "t", "]"}], 
          RowBox[{"interimnewassetspropn", "[", "t", "]"}]}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "earnings", " ", "before", " ", "interest", " ", "on", " ", "cash", 
         " ", "and", " ", "after", " ", "interest", " ", "on", " ", "loans"}],
         "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"deprec1", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"netfixedassets", "[", 
             RowBox[{"t", "-", "1"}], "]"}], "/", "2"}], "+", 
           RowBox[{
            RowBox[{"newassets", "[", "t", "]"}], 
            RowBox[{
             RowBox[{"interimnewassetspropn", "[", "t", "]"}], "/", "4"}]}]}],
           ")"}], 
         RowBox[{"depreciationrate", "[", "t", "]"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ebcit1", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"sales", "[", "t", "]"}], "-", 
            RowBox[{"expenses", "[", "t", "]"}]}], ")"}], 
          RowBox[{"interimprofitpropn", "[", "t", "]"}]}], "-", 
         RowBox[{"deprec1", "[", "t", "]"}], "-", 
         RowBox[{"intloan1", "[", "t", "]"}]}]}], " ", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{
         "The", " ", "follolowing", " ", "equations", " ", "resolve", " ", 
          "the", " ", "circular", " ", 
          RowBox[{"loop", ":", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"cash1", "[", "t", "]"}], "\[Equal]", 
            RowBox[{
             RowBox[{"cash", "[", 
              RowBox[{"t", "-", "1"}], "]"}], "+", 
             RowBox[{"intcf1", "[", "t", "]"}], "+", 
             RowBox[{"intcash1", "[", "t", "]"}], "-", 
             RowBox[{"taxpmt1", "[", "t", "]"}]}]}]}]}], ",", 
         "\[IndentingNewLine]", "or", ",", " ", 
         RowBox[{
          RowBox[{"cash1", "[", "t", "]"}], "\[Equal]", 
          RowBox[{
           RowBox[{"cash", "[", 
            RowBox[{"t", "-", "1"}], "]"}], "+", 
           RowBox[{"intcf1", "[", "t", "]"}], "-", 
           RowBox[{"intloan1", "[", "t", "]"}], "+", 
           RowBox[{"intcash1", "[", "t", "]"}], "-", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"ebcit1", "[", "t", "]"}], "+", 
              RowBox[{"intcash1", "[", "t", "]"}]}], ")"}], "*", 
            RowBox[{"taxrate", "[", "t", "]"}]}], "-", 
           RowBox[{
            RowBox[{"provdiv", "[", 
             RowBox[{"t", "-", "1"}], "]"}], " ", 
            RowBox[{"(", "1", ")"}]}]}]}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"and", " ", 
           RowBox[{"intcash1", "[", "t", "]"}]}], "\[Equal]", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"cash", "[", 
              RowBox[{"t", "-", "1"}], "]"}], "+", 
             RowBox[{"cash1", "[", "t", "]"}]}], ")"}], "*", 
           RowBox[{
            RowBox[{"cashintrate", "[", "t", "]"}], "/", "4"}], " ", 
           RowBox[{"(", "2", ")"}]}]}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"(", "1", ")"}], "in", 
          RowBox[{"(", "2", ")"}]}], ",", " ", 
         RowBox[{
          RowBox[{"intcash1", "[", "t", "]"}], "\[Equal]", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"cash", "[", 
              RowBox[{"t", "-", "1"}], "]"}], "+", 
             RowBox[{"cash", "[", 
              RowBox[{"t", "-", "1"}], "]"}], "+", 
             RowBox[{"intcf1", "[", "t", "]"}], "-", 
             RowBox[{"intloan1", "[", "t", "]"}], "+", 
             RowBox[{"intcash1", "[", "t", "]"}], "-", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"ebcit1", "[", "t", "]"}], "+", 
                RowBox[{"intcash1", "[", "t", "]"}]}], ")"}], "*", 
              RowBox[{"taxrate", "[", "t", "]"}]}], "-", 
             RowBox[{"provdiv", "[", 
              RowBox[{"t", "-", "1"}], "]"}]}], ")"}], "*", 
           RowBox[{
            RowBox[{"cashintrate", "[", "t", "]"}], "/", "4"}]}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"4", " ", 
             RowBox[{"intcash1", "[", "t", "]"}]}], ")"}], "/", 
           RowBox[{"cashintrate", "[", "t", "]"}]}], "\[Equal]", 
          RowBox[{
           RowBox[{"cash", "[", 
            RowBox[{"t", "-", "1"}], "]"}], "+", 
           RowBox[{"cash", "[", 
            RowBox[{"t", "-", "1"}], "]"}], "+", 
           RowBox[{"intcf1", "[", "t", "]"}], "-", 
           RowBox[{"intloan1", "[", "t", "]"}], "+", 
           RowBox[{"intcash1", "[", "t", "]"}], "-", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"ebcit1", "[", "t", "]"}], "+", 
              RowBox[{"intcash1", "[", "t", "]"}]}], ")"}], "*", 
            RowBox[{"taxrate", "[", "t", "]"}]}], "-", 
           RowBox[{"provdiv", "[", 
            RowBox[{"t", "-", "1"}], "]"}]}]}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"intcash1", "[", "t", "]"}], 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"4", "/", 
               RowBox[{"cashintrate", "[", "t", "]"}]}], ")"}], "-", "1", "+", 
             RowBox[{"taxrate", "[", "t", "]"}]}], ")"}]}], "\[Equal]", " ", 
          RowBox[{
           RowBox[{"2", " ", 
            RowBox[{"cash", "[", 
             RowBox[{"t", "-", "1"}], "]"}]}], "+", 
           RowBox[{"intcf1", "[", "t", "]"}], "-", 
           RowBox[{"intloan1", "[", "t", "]"}], "-", 
           RowBox[{
            RowBox[{"ebcit1", "[", "t", "]"}], "*", 
            RowBox[{"taxrate", "[", "t", "]"}]}], "-", 
           RowBox[{"provdiv", "[", 
            RowBox[{"t", "-", "1"}], "]"}]}]}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"intcash1", "[", "t", "]"}], "\[Equal]", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", " ", 
              RowBox[{"cash", "[", 
               RowBox[{"t", "-", "1"}], "]"}]}], "+", 
             RowBox[{"intcf1", "[", "t", "]"}], "-", 
             RowBox[{"intloan1", "[", "t", "]"}], "-", 
             RowBox[{
              RowBox[{"ebcit1", "[", "t", "]"}], "*", 
              RowBox[{"taxrate", "[", "t", "]"}]}], "-", 
             RowBox[{"provdiv", "[", 
              RowBox[{"t", "-", "1"}], "]"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"4", "/", 
               RowBox[{"cashintrate", "[", "t", "]"}]}], ")"}], "-", "1", "+", 
             RowBox[{"taxrate", "[", "t", "]"}]}], ")"}]}]}], ","}], "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"intcash1", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", 
            RowBox[{"netcash", "[", 
             RowBox[{"t", "-", "1"}], "]"}]}], "+", 
           RowBox[{"intcf1", "[", "t", "]"}], "-", 
           RowBox[{"intloan1", "[", "t", "]"}], "-", 
           RowBox[{
            RowBox[{"ebcit1", "[", "t", "]"}], "*", 
            RowBox[{"taxrate", "[", "t", "]"}]}], "-", 
           RowBox[{"provdiv", "[", 
            RowBox[{"t", "-", "1"}], "]"}]}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"4", "/", 
             RowBox[{"netcashintrate", "[", "t", "]"}]}], ")"}], "-", "1", 
           "+", 
           RowBox[{"taxrate", "[", "t", "]"}]}], ")"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"taxpmt1", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"ebcit1", "[", "t", "]"}], "+", 
           RowBox[{"intcash1", "[", "t", "]"}]}], ")"}], 
         RowBox[{"taxrate", "[", "t", "]"}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"netcash1", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"netcash", "[", 
          RowBox[{"t", "-", "1"}], "]"}], "+", 
         RowBox[{"intcf1", "[", "t", "]"}], "+", 
         RowBox[{"intcash1", "[", "t", "]"}], "-", 
         RowBox[{"taxpmt1", "[", "t", "]"}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"second", " ", "half"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"intloan2", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"loan", "[", 
             RowBox[{"t", "-", "1"}], "]"}], "/", "2"}], "+", 
           RowBox[{
            RowBox[{"newloan", "[", "t", "]"}], 
            RowBox[{
             RowBox[{"interimnewloanpropn", "[", "t", "]"}], "/", "2"}]}], 
           "+", 
           RowBox[{
            RowBox[{"newloan", "[", "t", "]"}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"interimnewloanpropn", "[", "t", "]"}]}], ")"}], "/", 
             "4"}]}]}], ")"}], 
         RowBox[{"loanintrate", "[", "t", "]"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"intcf2", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"collections", "[", "t", "]"}], "-", 
            RowBox[{"payments", "[", "t", "]"}]}], ")"}], 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"interimprofitpropn", "[", "t", "]"}]}], ")"}]}], "+", 
         RowBox[{
          RowBox[{"newcapital", "[", "t", "]"}], 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"interimnewcapitalpropn", "[", "t", "]"}]}], ")"}]}], "+", 
         RowBox[{
          RowBox[{"newloan", "[", "t", "]"}], 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"interimnewloanpropn", "[", "t", "]"}]}], ")"}]}], "-", 
         RowBox[{
          RowBox[{"newassets", "[", "t", "]"}], 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"interimnewassetspropn", "[", "t", "]"}]}], ")"}]}]}]}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"deprec2", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"netfixedassets", "[", 
             RowBox[{"t", "-", "1"}], "]"}], "/", "2"}], "+", 
           RowBox[{
            RowBox[{"newassets", "[", "t", "]"}], 
            RowBox[{
             RowBox[{"interimnewassetspropn", "[", "t", "]"}], "/", "2"}]}], 
           "+", 
           RowBox[{
            RowBox[{"newassets", "[", "t", "]"}], 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "-", 
               RowBox[{"interimnewassetspropn", "[", "t", "]"}]}], ")"}], "/",
              "4"}]}]}], ")"}], 
         RowBox[{"depreciationrate", "[", "t", "]"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ebcit2", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"sales", "[", "t", "]"}], "-", 
            RowBox[{"expenses", "[", "t", "]"}]}], ")"}], 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"interimprofitpropn", "[", "t", "]"}]}], ")"}]}], "-", 
         RowBox[{"deprec2", "[", "t", "]"}], "-", 
         RowBox[{"intloan2", "[", "t", "]"}]}]}], " ", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
          RowBox[{" ", 
           RowBox[{
            RowBox[{"Solve", ":", " ", 
             RowBox[{
              RowBox[{"cash2", "[", "t", "]"}], "\[Equal]", 
              RowBox[{
               RowBox[{"cash1", "[", "t", "]"}], "+", 
               RowBox[{"intcf2", "[", "t", "]"}], "-", 
               RowBox[{"intloan2", "[", "t", "]"}], "+", 
               RowBox[{"intcash2", "[", "t", "]"}], "-", 
               RowBox[{"taxpmt2", "[", "t", "]"}], "-", 
               RowBox[{"div2", "[", "t", "]"}]}]}]}], ",", 
            "\[IndentingNewLine]", "or", ",", "     ", 
            RowBox[{
             RowBox[{"cash2", "[", "t", "]"}], "\[Equal]", 
             RowBox[{
              RowBox[{"cash1", "[", "t", "]"}], "+", 
              RowBox[{"intcf2", "[", "t", "]"}], "-", 
              RowBox[{"intloan2", "[", "t", "]"}], "+", 
              RowBox[{"intcash2", "[", "t", "]"}], "-", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"ebcit2", "[", "t", "]"}], "+", 
                 RowBox[{"intcash2", "[", "t", "]"}]}], ")"}], "*", 
               RowBox[{"taxrate", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"ebcit1", "[", "t", "]"}], "+", 
                 RowBox[{"intcash1", "[", "t", "]"}], "+", 
                 RowBox[{"ebcit2", "[", "t", "]"}], "+", 
                 RowBox[{"intcash2", "[", "t", "]"}]}], ")"}], "*", 
               RowBox[{"(", 
                RowBox[{"1", "-", 
                 RowBox[{"taxrate", "[", "t", "]"}]}], ")"}], "*", 
               RowBox[{"divpayoutrate", "[", "t", "]"}], "*", 
               RowBox[{"interimdivpropn", "[", "t", "]"}], " ", 
               RowBox[{"(", "1", ")"}]}]}]}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"and", "    ", 
              RowBox[{"intcash2", "[", "t", "]"}]}], "\[Equal]", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"cash1", "[", "t", "]"}], "+", 
                RowBox[{"cash2", "[", "t", "]"}]}], ")"}], "*", 
              RowBox[{
               RowBox[{"cashintrate", "[", "t", "]"}], "/", "4"}], " ", 
              RowBox[{"(", "2", ")"}]}]}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"(", "1", ")"}], "in", 
             RowBox[{"(", "2", ")"}]}], ",", " ", 
            RowBox[{
             RowBox[{"intcash2", "[", "t", "]"}], "\[Equal]", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"cash1", "[", "t", "]"}], "+", 
                RowBox[{"cash1", "[", "t", "]"}], "+", 
                RowBox[{"intcf2", "[", "t", "]"}], "-", 
                RowBox[{"intloan2", "[", "t", "]"}], "+", 
                RowBox[{"intcash2", "[", "t", "]"}], "-", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"ebcit2", "[", "t", "]"}], "+", 
                   RowBox[{"intcash2", "[", "t", "]"}]}], ")"}], "*", 
                 RowBox[{"taxrate", "[", "t", "]"}]}], "-", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"ebcit1", "[", "t", "]"}], "+", 
                   RowBox[{"intcash1", "[", "t", "]"}], "+", 
                   RowBox[{"ebcit2", "[", "t", "]"}], "+", 
                   RowBox[{"intcash2", "[", "t", "]"}]}], ")"}], "*", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", 
                   RowBox[{"taxrate", "[", "t", "]"}]}], ")"}], "*", 
                 RowBox[{"divpayoutratio", "[", "t", "]"}], "*", 
                 RowBox[{"interimdivpropn", "[", "t", "]"}]}]}], ")"}], "*", 
              RowBox[{"taxrate", "[", "t", "]"}]}]}]}], ")"}], "*", 
          RowBox[{
           RowBox[{"cashintrate", "[", "t", "]"}], "/", "4"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"4", " ", 
             RowBox[{"intcash2", "[", "t", "]"}]}], ")"}], "/", 
           RowBox[{"cashintrate", "[", "t", "]"}]}], "\[Equal]", 
          RowBox[{
           RowBox[{"cash1", "[", "t", "]"}], "+", 
           RowBox[{"cash1", "[", "t", "]"}], "+", 
           RowBox[{"intcf2", "[", "t", "]"}], "-", 
           RowBox[{"intloan2", "[", "t", "]"}], "+", 
           RowBox[{"intcash2", "[", "t", "]"}], "-", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"ebcit2", "[", "t", "]"}], "+", 
              RowBox[{"intcash2", "[", "t", "]"}]}], ")"}], "*", 
            RowBox[{"taxrate", "[", "t", "]"}]}], "-", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"ebcit1", "[", "t", "]"}], "+", 
              RowBox[{"intcash1", "[", "t", "]"}], "+", 
              RowBox[{"ebcit2", "[", "t", "]"}], "+", 
              RowBox[{"intcash2", "[", "t", "]"}]}], ")"}], "*", 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"taxrate", "[", "t", "]"}]}], ")"}], "*", 
            RowBox[{"divpayoutratio", "[", "t", "]"}], "*", 
            RowBox[{"interimdivpropn", "[", "t", "]"}]}]}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"intcash2", "[", "t", "]"}], 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"4", "/", 
               RowBox[{"cashintrate", "[", "t", "]"}]}], ")"}], "-", "1", "+", 
             RowBox[{"taxrate", "[", "t", "]"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "-", 
                RowBox[{"taxrate", "[", "t", "]"}]}], ")"}], "*", 
              RowBox[{"divpayoutratio", "[", "t", "]"}], "*", 
              RowBox[{"interimdivpropn", "[", "t", "]"}]}]}], ")"}]}], 
          "\[Equal]", " ", 
          RowBox[{
           RowBox[{"2", " ", 
            RowBox[{"cash1", "[", "t", "]"}]}], "+", 
           RowBox[{"intcf2", "[", "t", "]"}], "-", 
           RowBox[{"intloan2", "[", "t", "]"}], "-", 
           RowBox[{
            RowBox[{"ebcit2", "[", "t", "]"}], "*", 
            RowBox[{"taxrate", "[", "t", "]"}]}], "-", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"ebcit1", "[", "t", "]"}], "+", 
              RowBox[{"intcash1", "[", "t", "]"}], "+", 
              RowBox[{"ebcit2", "[", "t", "]"}]}], ")"}], "*", 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"taxrate", "[", "t", "]"}]}], ")"}], "*", 
            RowBox[{"divpayoutratio", "[", "t", "]"}], "*", 
            RowBox[{"interimdivpropn", "[", "t", "]"}]}]}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"intcash2", "[", "t", "]"}], "\[Equal]", " ", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", " ", 
              RowBox[{"cash1", "[", "t", "]"}]}], "+", 
             RowBox[{"intcf2", "[", "t", "]"}], "-", 
             RowBox[{"intloan2", "[", "t", "]"}], "-", 
             RowBox[{
              RowBox[{"ebcit2", "[", "t", "]"}], "*", 
              RowBox[{"taxrate", "[", "t", "]"}]}], "-", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"ebcit1", "[", "t", "]"}], "+", 
                RowBox[{"intcash1", "[", "t", "]"}], "+", 
                RowBox[{"ebcit2", "[", "t", "]"}]}], ")"}], "*", 
              RowBox[{"(", 
               RowBox[{"1", "-", 
                RowBox[{"taxrate", "[", "t", "]"}]}], ")"}], "*", 
              RowBox[{"divpayoutratio", "[", "t", "]"}], "*", 
              RowBox[{"interimdivpropn", "[", "t", "]"}]}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"4", "/", 
               RowBox[{"cashintrate", "[", "t", "]"}]}], ")"}], "-", "1", "+", 
             RowBox[{"taxrate", "[", "t", "]"}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "-", 
                RowBox[{"taxrate", "[", "t", "]"}]}], ")"}], "*", 
              RowBox[{"divpayoutratio", "[", "t", "]"}], "*", 
              RowBox[{"interimdivpropn", "[", "t", "]"}]}]}], ")"}]}]}]}], 
        "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"divpropn2", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"taxrate", "[", "t", "]"}]}], ")"}], "*", 
         RowBox[{"divpayoutratio", "[", "t", "]"}], "*", 
         RowBox[{"interimdivpropn", "[", "t", "]"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"intcash2", "[", "t", "]"}], "\[Equal]", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", 
            RowBox[{"netcash1", "[", "t", "]"}]}], "+", 
           RowBox[{"intcf2", "[", "t", "]"}], "-", 
           RowBox[{"intloan2", "[", "t", "]"}], "-", 
           RowBox[{
            RowBox[{"ebcit2", "[", "t", "]"}], 
            RowBox[{"taxrate", "[", "t", "]"}]}], "-", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"ebcit1", "[", "t", "]"}], "+", 
              RowBox[{"intcash1", "[", "t", "]"}], "+", 
              RowBox[{"ebcit2", "[", "t", "]"}]}], ")"}], 
            RowBox[{"divpropn2", "[", "t", "]"}]}]}], ")"}], "/", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"4", "/", 
             RowBox[{"netcashintrate", "[", "t", "]"}]}], ")"}], "-", "1", 
           "+", 
           RowBox[{"taxrate", "[", "t", "]"}], "+", 
           RowBox[{"divpropn2", "[", "t", "]"}]}], ")"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"end", " ", "of", " ", "interest", " ", "calculation"}], " ", 
        "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"interest", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"intloan1", "[", "t", "]"}], "+", 
         RowBox[{"intloan2", "[", "t", "]"}], "-", 
         RowBox[{"intcash1", "[", "t", "]"}], "-", 
         RowBox[{"intcash2", "[", "t", "]"}]}]}], ",", "\[IndentingNewLine]", 
       
       RowBox[{
        RowBox[{"depreciation", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"deprec1", "[", "t", "]"}], "+", 
         RowBox[{"deprec2", "[", "t", "]"}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"pbt", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"sales", "[", "t", "]"}], "-", 
         RowBox[{"expenses", "[", "t", "]"}], "-", 
         RowBox[{"depreciation", "[", "t", "]"}], "-", 
         RowBox[{"interest", "[", "t", "]"}]}]}], ",", "\[IndentingNewLine]", 
       
       RowBox[{
        RowBox[{"tax", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"pbt", "[", "t", "]"}], 
         RowBox[{"taxrate", "[", "t", "]"}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"netprofit", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"pbt", "[", "t", "]"}], "-", 
         RowBox[{"tax", "[", "t", "]"}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"dividend", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"netprofit", "[", "t", "]"}], "*", 
         RowBox[{"divpayoutratio", "[", "t", "]"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"*", " ", "Balance", " ", "Sheet"}], " ", "**)"}], 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"netcash", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"netcash", "[", 
          RowBox[{"t", "-", "1"}], "]"}], "+", 
         RowBox[{"cashflow", "[", "t", "]"}]}]}], ",", "\[IndentingNewLine]", 
       
       RowBox[{
        RowBox[{"cash", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"netcash", "[", "t", "]"}], 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"Sign", "[", 
             RowBox[{"netcash", "[", "t", "]"}], "]"}]}], ")"}], "/", 
          "2"}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"debtors", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"sales", "[", "t", "]"}], 
         RowBox[{
          RowBox[{"daysdebtors", "[", "t", "]"}], "/", "365"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"stock", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"sales", "[", "t", "]"}], 
         RowBox[{
          RowBox[{"daysstock", "[", "t", "]"}], "/", "365"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"fixedassets", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"fixedassets", "[", 
          RowBox[{"t", "-", "1"}], "]"}], "+", 
         RowBox[{"newassets", "[", "t", "]"}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"accumdepreciation", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"accumdepreciation", "[", 
          RowBox[{"t", "-", "1"}], "]"}], "+", 
         RowBox[{"depreciation", "[", "t", "]"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"netfixedassets", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"fixedassets", "[", "t", "]"}], "-", 
         RowBox[{"accumdepreciation", "[", "t", "]"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"totalassets", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"cash", "[", "t", "]"}], "+", 
         RowBox[{"debtors", "[", "t", "]"}], "+", 
         RowBox[{"stock", "[", "t", "]"}], "+", 
         RowBox[{"netfixedassets", "[", "t", "]"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"overdraft", "[", "t", "]"}], "\[Equal]", 
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"netcash", "[", "t", "]"}], "-", 
           RowBox[{"cash", "[", "t", "]"}]}], ")"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"creditors", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"sales", "[", "t", "]"}], 
         RowBox[{
          RowBox[{"dayscreditors", "[", "t", "]"}], "/", "365"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"provdiv", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"dividend", "[", "t", "]"}], 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"interimdivpropn", "[", "t", "]"}]}], ")"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"loan", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"loan", "[", 
          RowBox[{"t", "-", "1"}], "]"}], "+", 
         RowBox[{"newloan", "[", "t", "]"}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"totalliabilities", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"overdraft", "[", "t", "]"}], "+", 
         RowBox[{"creditors", "[", "t", "]"}], "+", 
         RowBox[{"provdiv", "[", "t", "]"}], "+", 
         RowBox[{"loan", "[", "t", "]"}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"retainedprofit", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"retainedprofit", "[", 
          RowBox[{"t", "-", "1"}], "]"}], "+", 
         RowBox[{"netprofit", "[", "t", "]"}], "-", 
         RowBox[{"dividend", "[", "t", "]"}]}]}], ",", "\[IndentingNewLine]", 
       
       RowBox[{
        RowBox[{"capital", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"capital", "[", 
          RowBox[{"t", "-", "1"}], "]"}], "+", 
         RowBox[{"newcapital", "[", "t", "]"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"equity", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"capital", "[", "t", "]"}], "+", 
         RowBox[{"retainedprofit", "[", "t", "]"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"balance", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"totalassets", "[", "t", "]"}], "-", 
         RowBox[{"totalliabilities", "[", "t", "]"}], "-", 
         RowBox[{"equity", "[", "t", "]"}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"*", " ", "Cash", " ", "Flow"}], " ", "**)"}], 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"collections", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"sales", "[", "t", "]"}], "-", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"debtors", "[", "t", "]"}], "-", 
           RowBox[{"debtors", "[", 
            RowBox[{"t", "-", "1"}], "]"}]}], ")"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"payments", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"expenses", "[", "t", "]"}], "-", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"creditors", "[", "t", "]"}], "-", 
           RowBox[{"creditors", "[", 
            RowBox[{"t", "-", "1"}], "]"}]}], ")"}], "+", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"stock", "[", "t", "]"}], "-", 
           RowBox[{"stock", "[", 
            RowBox[{"t", "-", "1"}], "]"}]}], ")"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"cashflow", "[", "t", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"collections", "[", "t", "]"}], "-", 
         RowBox[{"payments", "[", "t", "]"}], "+", 
         RowBox[{"newloan", "[", "t", "]"}], "+", 
         RowBox[{"newcapital", "[", "t", "]"}], "-", 
         RowBox[{"newassets", "[", "t", "]"}], "-", 
         RowBox[{"interest", "[", "t", "]"}], "-", 
         RowBox[{"tax", "[", "t", "]"}], "-", 
         RowBox[{"provdiv", "[", 
          RowBox[{"t", "-", "1"}], "]"}], "-", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"dividend", "[", "t", "]"}], "-", 
           RowBox[{"provdiv", "[", "t", "]"}]}], ")"}]}]}]}], 
      "\[IndentingNewLine]", "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"eqnsinitial", "=", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"**", " ", "Year0"}], " ", "initial", " ", "conditions", " ", 
        "*"}], "**)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"sales", "[", "0", "]"}], "\[Equal]", "150"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"expenses", "[", "0", "]"}], "\[Equal]", "50"}], " ", ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"depreciation", "[", "0", "]"}], "\[Equal]", "50"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"interest", "[", "0", "]"}], "\[Equal]", "30"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"pbt", "[", "0", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"sales", "[", "0", "]"}], "-", 
         RowBox[{"expenses", "[", "0", "]"}], "-", 
         RowBox[{"depreciation", "[", "0", "]"}], "-", 
         RowBox[{"interest", "[", "0", "]"}]}]}], ",", "\[IndentingNewLine]", 
       
       RowBox[{
        RowBox[{"tax", "[", "0", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"pbt", "[", "0", "]"}], "*", 
         RowBox[{"taxrate", "[", "0", "]"}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"taxrate", "[", "0", "]"}], "\[Equal]", "0.3"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"netprofit", "[", "0", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"pbt", "[", "0", "]"}], "-", 
         RowBox[{"tax", "[", "0", "]"}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"dividend", "[", "0", "]"}], "\[Equal]", "7"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"cash", "[", "0", "]"}], "\[Equal]", "100"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"debtors", "[", "0", "]"}], "\[Equal]", "30"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"stock", "[", "0", "]"}], "\[Equal]", "30"}], ",", " ", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"fixedassets", "[", "0", "]"}], "\[Equal]", "500"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"accumdepreciation", "[", "0", "]"}], "\[Equal]", "100"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"netfixedassets", "[", "0", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"fixedassets", "[", "0", "]"}], "-", 
         RowBox[{"accumdepreciation", "[", "0", "]"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"totalassets", "[", "0", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"cash", "[", "0", "]"}], "+", 
         RowBox[{"debtors", "[", "0", "]"}], "+", 
         RowBox[{"stock", "[", "0", "]"}], "+", 
         RowBox[{"netfixedassets", "[", "0", "]"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"overdraft", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"creditors", "[", "0", "]"}], "\[Equal]", "20"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"provdiv", "[", "0", "]"}], "\[Equal]", "3.5"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"loan", "[", "0", "]"}], "\[Equal]", "236.5"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"totalliabilities", "[", "0", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"overdraft", "[", "0", "]"}], "+", 
         RowBox[{"creditors", "[", "0", "]"}], "+", 
         RowBox[{"provdiv", "[", "0", "]"}], "+", 
         RowBox[{"loan", "[", "0", "]"}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"capital", "[", "0", "]"}], "\[Equal]", "200"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"retainedprofit", "[", "0", "]"}], "\[Equal]", "100"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"equity", "[", "0", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"capital", "[", "0", "]"}], "+", 
         RowBox[{"retainedprofit", "[", "0", "]"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"balance", "[", "0", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"totalassets", "[", "0", "]"}], "-", 
         RowBox[{"totalliabilities", "[", "0", "]"}], "-", 
         RowBox[{"equity", "[", "0", "]"}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"collections", "[", "0", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"sales", "[", "0", "]"}], "-", 
         RowBox[{"(", 
          RowBox[{"debtors", "[", "0", "]"}], 
          RowBox[{"(*", 
           RowBox[{"-", 
            RowBox[{"debtors", "[", 
             RowBox[{"-", "1"}], "]"}]}], "*)"}], ")"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"payments", "[", "0", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"expenses", "[", "0", "]"}], "-", 
         RowBox[{"(", 
          RowBox[{"creditors", "[", "0", "]"}], 
          RowBox[{"(*", 
           RowBox[{"-", 
            RowBox[{"creditors", "[", "1", "]"}]}], "*)"}], ")"}], "+", 
         RowBox[{"(", 
          RowBox[{"stock", "[", "0", "]"}], 
          RowBox[{"(*", 
           RowBox[{"-", 
            RowBox[{"stock", "[", 
             RowBox[{"-", "1"}], "]"}]}], "*)"}], ")"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"netfixedassets", "[", "0", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"fixedassets", "[", "0", "]"}], "-", 
         RowBox[{"accumdepreciation", "[", "0", "]"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"cashflow", "[", "0", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"collections", "[", "0", "]"}], "-", 
         RowBox[{"payments", "[", "0", "]"}], "-", 
         RowBox[{"interest", "[", "0", "]"}], "+", 
         RowBox[{"newcapital", "[", "0", "]"}], "+", 
         RowBox[{"newloan", "[", "0", "]"}], "-", 
         RowBox[{"newassets", "[", "0", "]"}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"netcash", "[", "0", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"cash", "[", "0", "]"}], "-", 
         RowBox[{"overdraft", "[", "0", "]"}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"newloan", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"newcapital", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"newassets", "[", "0", "]"}], "\[Equal]", 
        RowBox[{"depreciation", "[", "0", "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"salesgrowthrate", "[", "0", "]"}], "\[Equal]", "0.1"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"expensesgrowthrate", "[", "0", "]"}], "\[Equal]", "0.1"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"depreciationrate", "[", "0", "]"}], "\[Equal]", "0.1"}], ",",
        "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"loanintrate", "[", "0", "]"}], "\[Equal]", "0.1"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"netcashintrate", "[", "0", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"loanintrate", "[", "0", "]"}], "/", "2"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"daysdebtors", "[", "0", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"debtors", "[", "0", "]"}], "/", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"sales", "[", "0", "]"}], "/", "365"}], ")"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"daysstock", "[", "0", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"stock", "[", "0", "]"}], "/", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"sales", "[", "0", "]"}], "/", "365"}], ")"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"dayscreditors", "[", "0", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"creditors", "[", "0", "]"}], "/", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"sales", "[", "0", "]"}], "/", "365"}], ")"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"divpayoutratio", "[", "0", "]"}], "\[Equal]", 
        RowBox[{
         RowBox[{"dividend", "[", "0", "]"}], "/", 
         RowBox[{"netprofit", "[", "0", "]"}]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"interimdivpropn", "[", "0", "]"}], "\[Equal]", "0.4"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"interimprofitpropn", "[", "0", "]"}], "\[Equal]", "0.6"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"interimnewcapitalpropn", "[", "0", "]"}], "\[Equal]", 
        "0.5"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"interimnewloanpropn", "[", "0", "]"}], "\[Equal]", "0.5"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"interimnewassetspropn", "[", "0", "]"}], "\[Equal]", 
        "0.5"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"eqns2", "=", 
     RowBox[{"Join", "[", 
      RowBox[{"eqnsinitial", ",", 
       RowBox[{"Flatten", "[", 
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"eqns", "/.", 
            RowBox[{"{", 
             RowBox[{"t", "\[Rule]", "#"}], "}"}]}], "&"}], ",", 
          RowBox[{"Range", "[", "n", "]"}]}], "]"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"lhs", ",", "rhs"}], "}"}], "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"eqns2", "/.", 
       RowBox[{"{", 
        RowBox[{"Equal", "\[Rule]", "List"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"resultsr", "=", 
     RowBox[{"Thread", "[", 
      RowBox[{"lhs", "\[Rule]", 
       RowBox[{"(", 
        RowBox[{"rhs", "//.", 
         RowBox[{"(", 
          RowBox[{"eqns2", "/.", 
           RowBox[{"{", 
            RowBox[{"Equal", "\[Rule]", "Rule"}], "}"}]}], ")"}]}], ")"}]}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Time: \>\"", ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"AbsoluteTime", "[", "]"}], "-", "timestart"}], ")"}], "/", 
       "3600"}], ",", "\"\<; Memory Mb: \>\"", ",", 
      RowBox[{"N", "[", 
       RowBox[{
        RowBox[{"MaxMemoryUsed", "[", "]"}], "/", 
        RowBox[{"10", "^", "6"}]}], "]"}]}], "]"}], ";"}], "\n", 
   RowBox[{"Scan", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"BlankLine", "[", "#", "]"}], "=", "\"\<\>\""}], ")"}], "&"}],
      ",", 
     RowBox[{"Range", "[", 
      RowBox[{"0", ",", "n"}], "]"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Grid", "[", 
    RowBox[{
     RowBox[{"Join", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"i", "\[Equal]", 
             RowBox[{"-", "1"}]}], ",", "\"\<Profit & Loss\>\"", ",", 
            RowBox[{"\"\<Year\>\"", "<>", 
             RowBox[{"ToString", "[", "i", "]"}]}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"-", "1"}], ",", "n"}], "}"}]}], "]"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Join", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"ToString", "[", "#", "]"}], "\[Equal]", 
                 "\"\<BlankLine\>\""}], ",", "\"\<\>\"", ",", 
                RowBox[{"ToString", "[", "#", "]"}]}], "]"}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Array", "[", 
              RowBox[{"#", ",", 
               RowBox[{"n", "+", "1"}], ",", "0"}], "]"}]}], "]"}], "&"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{
           "sales", ",", "expenses", ",", "depreciation", ",", "interest", 
            ",", "pbt", ",", "tax", ",", "netprofit", ",", "dividend", ",", 
            "BlankLine"}], "}"}]}], "]"}], "/.", "resultsr"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"i", "\[Equal]", 
             RowBox[{"-", "1"}]}], ",", "\"\<Balance Sheet\>\"", ",", 
            RowBox[{"\"\<Year\>\"", "<>", 
             RowBox[{"ToString", "[", "i", "]"}]}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"-", "1"}], ",", "n"}], "}"}]}], "]"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Join", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"ToString", "[", "#", "]"}], "\[Equal]", 
                 "\"\<BlankLine\>\""}], ",", "\"\<\>\"", ",", 
                RowBox[{"ToString", "[", "#", "]"}]}], "]"}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"Array", "[", 
              RowBox[{"#", ",", 
               RowBox[{"n", "+", "1"}], ",", "0"}], "]"}]}], "]"}], "&"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{
           "cash", ",", "debtors", ",", "stock", ",", "fixedassets", ",", 
            "accumdepreciation", ",", "netfixedassets", ",", "totalassets", 
            ",", "BlankLine", ",", "\[IndentingNewLine]", "overdraft", ",", 
            "creditors", ",", "provdiv", ",", "loan", ",", "totalliabilities",
             ",", "BlankLine", ",", "capital", ",", "retainedprofit", ",", 
            "equity", ",", "BlankLine", ",", "balance", ",", "BlankLine"}], 
           "}"}]}], "]"}], "/.", "resultsr"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"i", "\[Equal]", 
             RowBox[{"-", "1"}]}], ",", "\"\<CashFlow\>\"", ",", 
            RowBox[{"\"\<Year\>\"", "<>", 
             RowBox[{"ToString", "[", "i", "]"}]}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", 
            RowBox[{"-", "1"}], ",", "n"}], "}"}]}], "]"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Join", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"ToString", "[", "#", "]"}], "\[Equal]", 
                 "\"\<BlankLine\>\""}], ",", "\"\<\>\"", ",", 
                RowBox[{"ToString", "[", "#", "]"}]}], "]"}], "}"}], ",", 
             RowBox[{"Array", "[", 
              RowBox[{"#", ",", 
               RowBox[{"n", "+", "1"}], ",", "0"}], "]"}]}], "]"}], "&"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{
           "collections", ",", "payments", ",", "interest", ",", "tax", ",", 
            "dividend", ",", "newcapital", ",", "newloan", ",", "newassets", 
            ",", "cashflow", ",", "cash"}], "\[IndentingNewLine]", "}"}]}], 
         "]"}], "/.", "resultsr"}]}], "\[IndentingNewLine]", "]"}], ",", " ", 
     
     RowBox[{"Alignment", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"{", "Left", "}"}], "}"}]}], ",", 
     RowBox[{"Dividers", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", "}"}], ",", 
        RowBox[{"Flatten", "[", 
         RowBox[{"{", 
          RowBox[{"False", ",", "True", ",", 
           RowBox[{"Table", "[", 
            RowBox[{"False", ",", 
             RowBox[{"{", "9", "}"}]}], "]"}], ",", "True", ",", 
           RowBox[{"Table", "[", 
            RowBox[{"False", ",", 
             RowBox[{"{", "20", "}"}]}], "]"}], ",", "True"}], "}"}], "]"}]}],
        "}"}]}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.484099170826287*^9, 3.484099228531367*^9}, {
   3.484099269886609*^9, 3.484099289162624*^9}, {3.484099325358771*^9, 
   3.484100203129839*^9}, {3.484100240619221*^9, 3.48410046979984*^9}, {
   3.484100500815745*^9, 3.484100584137966*^9}, {3.484100621982526*^9, 
   3.484100624452112*^9}, {3.484100660754379*^9, 3.484100684730009*^9}, {
   3.484100715062132*^9, 3.484100725017756*^9}, {3.484100842139996*^9, 
   3.484100997996474*^9}, {3.484101030266056*^9, 3.484101303463465*^9}, {
   3.484101336696508*^9, 3.484101370692303*^9}, {3.484101447372478*^9, 
   3.484101472897915*^9}, {3.484101554038667*^9, 3.484101555811046*^9}, {
   3.484101610708691*^9, 3.48410161955189*^9}, {3.484101672167019*^9, 
   3.484101747383766*^9}, {3.484101778046779*^9, 3.484101858721896*^9}, {
   3.484101917997473*^9, 3.484102115709622*^9}, {3.484102146330671*^9, 
   3.484102202364195*^9}, {3.484102335685094*^9, 3.4841024266271*^9}, {
   3.484102460297351*^9, 3.484102621432811*^9}, {3.484102665618697*^9, 
   3.484102683603112*^9}, {3.484102735488161*^9, 3.484102776488298*^9}, {
   3.484102874878945*^9, 3.484102904484274*^9}, {3.484102947469211*^9, 
   3.484102949856395*^9}, {3.484102990844136*^9, 3.484103011986676*^9}, {
   3.484103047206252*^9, 3.484103144642805*^9}, {3.484103190782797*^9, 
   3.484103210348529*^9}, {3.484103311775594*^9, 3.484103371903595*^9}, {
   3.484103404527037*^9, 3.484103511871324*^9}, {3.484103608880084*^9, 
   3.484103613730111*^9}, {3.484103679740215*^9, 3.48410368677848*^9}, {
   3.484103781671772*^9, 3.48410387347734*^9}, {3.484104020241087*^9, 
   3.484104024464926*^9}, {3.484104118551413*^9, 3.484104155239702*^9}, {
   3.484104194015794*^9, 3.484104213121614*^9}, {3.484104274784276*^9, 
   3.484104277894871*^9}, {3.484104388981597*^9, 3.484104396680494*^9}, {
   3.484104462645227*^9, 3.48410446785495*^9}, {3.484104507582281*^9, 
   3.484104561833675*^9}, {3.484104616320567*^9, 3.484104619871262*^9}, {
   3.484104705227612*^9, 3.484104709413844*^9}, {3.484104953101699*^9, 
   3.484104956334768*^9}, {3.484104999600648*^9, 3.484105002473008*^9}, {
   3.484105199333197*^9, 3.484105213332591*^9}, {3.484105251724154*^9, 
   3.484105257582394*^9}, {3.484105290743897*^9, 3.484105292583898*^9}, {
   3.484105329796701*^9, 3.484105355568484*^9}, {3.484105405969667*^9, 
   3.484105432671117*^9}, {3.48410561325677*^9, 3.484105618288971*^9}, {
   3.484105649835516*^9, 3.484105712761689*^9}, {3.484105836663172*^9, 
   3.484105852898584*^9}, {3.484105915891171*^9, 3.484105923818388*^9}, {
   3.484105982185752*^9, 3.484105999338168*^9}, {3.484106059397096*^9, 
   3.484106094074478*^9}, {3.484106143739452*^9, 3.484106192194559*^9}, {
   3.484106244216179*^9, 3.484106280490483*^9}, {3.484106449592321*^9, 
   3.484106497851997*^9}, {3.484106541379252*^9, 3.484106547525162*^9}, {
   3.484106640318938*^9, 3.484106684089643*^9}, {3.484106745855479*^9, 
   3.48410679933875*^9}, {3.484106860364276*^9, 3.484107016295083*^9}, {
   3.484107191793768*^9, 3.484107220905611*^9}, {3.484107287167406*^9, 
   3.484107305138702*^9}, {3.484107372814625*^9, 3.484107408854971*^9}, {
   3.48410756571369*^9, 3.484107612891683*^9}, {3.484107680027778*^9, 
   3.484107756927436*^9}, {3.484107852229283*^9, 3.484107853998738*^9}, {
   3.484107992697407*^9, 3.484108001973179*^9}, {3.48410804769657*^9, 
   3.484108057287487*^9}, {3.484108088204245*^9, 3.484108099590294*^9}, {
   3.484108150303418*^9, 3.484108214299003*^9}, {3.484108286346355*^9, 
   3.484108430725912*^9}, {3.484108609665679*^9, 3.484108628760279*^9}, {
   3.484108660531886*^9, 3.484108661110121*^9}, {3.484108899525182*^9, 
   3.484109077172947*^9}, {3.484109161793401*^9, 3.484109163432876*^9}, {
   3.484110376966348*^9, 3.484110410989986*^9}, {3.484110502985582*^9, 
   3.484110546847364*^9}, {3.48411090830379*^9, 3.484110915055302*^9}, {
   3.484111024349753*^9, 3.484111028089702*^9}, {3.484111087023723*^9, 
   3.484111094491631*^9}, {3.484111261002435*^9, 3.484111339921321*^9}, {
   3.484111435633294*^9, 3.484111450473896*^9}, {3.484111537855733*^9, 
   3.484111590112417*^9}, {3.484111640699494*^9, 3.484111666146731*^9}, {
   3.484111780985738*^9, 3.484112103137231*^9}, {3.484112145975432*^9, 
   3.484112354367166*^9}, {3.484112594751093*^9, 3.484112616093197*^9}, {
   3.484113246130498*^9, 3.484113289334735*^9}, {3.484113323163263*^9, 
   3.484113357306393*^9}, {3.484113388645499*^9, 3.484113448238572*^9}, {
   3.484113510719474*^9, 3.484113721637905*^9}, {3.484113878957868*^9, 
   3.484113883767063*^9}, {3.484113934508233*^9, 3.484113935326065*^9}, 
   3.484114071847041*^9, {3.484114507700533*^9, 3.484114509176673*^9}, {
   3.484114548021458*^9, 3.484114586684582*^9}, {3.484114633105404*^9, 
   3.484114643050082*^9}, {3.48411469105169*^9, 3.484114699093773*^9}, {
   3.484114946089457*^9, 3.484115010845477*^9}, {3.484115060728218*^9, 
   3.484115089702062*^9}, {3.48411513836749*^9, 3.484115216155535*^9}, {
   3.48411526977345*^9, 3.484115291090887*^9}, {3.484115343141364*^9, 
   3.484115426166397*^9}, {3.484115531400265*^9, 3.484115560306355*^9}, {
   3.484115768312525*^9, 3.484115771717795*^9}, {3.484115811466583*^9, 
   3.484115818667152*^9}, {3.484116034938513*^9, 3.484116041928504*^9}, {
   3.48411621652473*^9, 3.48411621937658*^9}, {3.484116343928548*^9, 
   3.48411634847466*^9}, {3.484116459854806*^9, 3.484116636310751*^9}, {
   3.484116693580767*^9, 3.484116697364131*^9}, {3.484116749688241*^9, 
   3.484116799333674*^9}, {3.484116847356243*^9, 3.484117011949796*^9}, 
   3.484117107144255*^9, {3.484117177956527*^9, 3.484117194558317*^9}, {
   3.484117243892871*^9, 3.484117324099203*^9}, {3.484117515785188*^9, 
   3.484117519428386*^9}, {3.484117557925638*^9, 3.484117560326657*^9}, {
   3.484117614826781*^9, 3.484117615706031*^9}, {3.484117656952892*^9, 
   3.484117662581397*^9}, {3.484117693146211*^9, 3.484117704166686*^9}, {
   3.48411780871694*^9, 3.484118483439604*^9}, {3.484118513515616*^9, 
   3.484118584496701*^9}, {3.484118642039102*^9, 3.484118675683288*^9}, {
   3.484118713228877*^9, 3.4841191265774*^9}, {3.4841191651449*^9, 
   3.484119267198845*^9}, {3.484119301632591*^9, 3.484119391161113*^9}, {
   3.484119428372939*^9, 3.484119550577627*^9}, {3.484119599040426*^9, 
   3.484119600965738*^9}, {3.484119670764931*^9, 3.484119764790077*^9}, {
   3.48411981582012*^9, 3.48411993910548*^9}, {3.48411998286815*^9, 
   3.484120380832194*^9}, {3.484120413499314*^9, 3.484120432021915*^9}, {
   3.484120462358662*^9, 3.484120509450512*^9}, {3.484120569819925*^9, 
   3.484120597370755*^9}, {3.484120635537194*^9, 3.484120695495633*^9}, {
   3.484120772128237*^9, 3.484120788209841*^9}, {3.484120826416853*^9, 
   3.484120827024024*^9}, {3.484120938287842*^9, 3.484120966738959*^9}, {
   3.484122169990674*^9, 3.484122174808614*^9}, {3.48412220772429*^9, 
   3.484122284930111*^9}, {3.484122349778933*^9, 3.484122381453655*^9}, {
   3.48412244431622*^9, 3.484122470840218*^9}, {3.484122524716559*^9, 
   3.484122542806135*^9}, {3.484122673750826*^9, 3.484122731855629*^9}, {
   3.484122863414253*^9, 3.484122944200525*^9}, {3.484123028721345*^9, 
   3.484123029027765*^9}, {3.4841231480139*^9, 3.484123271173991*^9}, {
   3.484123354316606*^9, 3.48412335638605*^9}, {3.484123433780354*^9, 
   3.484123434916476*^9}, {3.484123489305772*^9, 3.484123490316999*^9}, {
   3.484123554631079*^9, 3.484123557812086*^9}, {3.484123887900448*^9, 
   3.484123891123516*^9}, {3.484124060223806*^9, 3.484124140840567*^9}, {
   3.484124195282464*^9, 3.484124211438836*^9}, {3.484124552933138*^9, 
   3.484124702168622*^9}, {3.484124791850306*^9, 3.484124818345148*^9}, {
   3.484124937121571*^9, 3.484124963711879*^9}, {3.484125037928243*^9, 
   3.484125042603085*^9}, {3.484125106440351*^9, 3.484125106943653*^9}, {
   3.484125165726853*^9, 3.484125202548325*^9}, {3.484125233645569*^9, 
   3.484125314883648*^9}, {3.48412536063675*^9, 3.484125538919608*^9}, {
   3.48412746683709*^9, 3.484127543648576*^9}, {3.484127623343919*^9, 
   3.484127625205582*^9}, {3.484127661504988*^9, 3.484127663453369*^9}, {
   3.484127729557949*^9, 3.484127738330652*^9}, {3.484127789892481*^9, 
   3.484127794444044*^9}, {3.484127855185647*^9, 3.484127866375796*^9}, {
   3.484127907458119*^9, 3.484127908085373*^9}, {3.484128206139617*^9, 
   3.484128274271006*^9}, {3.484128326835858*^9, 3.484128327239029*^9}, {
   3.484128500893518*^9, 3.484128501289123*^9}, {3.48429439384594*^9, 
   3.484294730331062*^9}, {3.484294760891479*^9, 3.484295218743961*^9}, {
   3.484295264752538*^9, 3.484295518499467*^9}, {3.484295556438311*^9, 
   3.484295569181361*^9}, {3.484295631257699*^9, 3.484295777183023*^9}, {
   3.484295891374496*^9, 3.484295912277657*^9}, {3.484296016325641*^9, 
   3.484296024710168*^9}, {3.484296075646555*^9, 3.484296111172222*^9}, {
   3.484296151144264*^9, 3.484296187408811*^9}, {3.48429622292956*^9, 
   3.484296301771707*^9}, {3.484296331789518*^9, 3.484296425614025*^9}, {
   3.484296572729273*^9, 3.484297048363847*^9}, {3.484297095993363*^9, 
   3.484297338999142*^9}, {3.484297425424148*^9, 3.484297448456529*^9}, {
   3.484297493518582*^9, 3.484297533896152*^9}, {3.484297583680455*^9, 
   3.484297743902883*^9}, {3.484297811945525*^9, 3.484297901404805*^9}, {
   3.484297933643726*^9, 3.484298033530815*^9}, {3.484298083106502*^9, 
   3.484298169401173*^9}, {3.484298217764413*^9, 3.484298411012745*^9}, {
   3.484298443885422*^9, 3.484298610501648*^9}, {3.484298664746916*^9, 
   3.484298665567681*^9}, {3.484298714436779*^9, 3.484298752085066*^9}, {
   3.484298844550319*^9, 3.484298846723489*^9}, {3.4842988874849*^9, 
   3.484298912363601*^9}, {3.484298969088649*^9, 3.484298970177766*^9}, {
   3.484299336070921*^9, 3.484299339848296*^9}, {3.484299372436594*^9, 
   3.484299489293094*^9}, {3.484299539975885*^9, 3.484299641384149*^9}, 
   3.484299777996512*^9, {3.484300086763958*^9, 3.484300155951816*^9}, {
   3.48430019146722*^9, 3.484300227549169*^9}, {3.484300339606017*^9, 
   3.4843003399947*^9}, {3.484300398305841*^9, 3.484300399252701*^9}, {
   3.484701751418592*^9, 3.484701752678164*^9}, {3.484701849406016*^9, 
   3.484701862284686*^9}, {3.484701898839289*^9, 3.484701948950614*^9}, {
   3.484701994840388*^9, 3.484701995510053*^9}, {3.484702030404835*^9, 
   3.484702036209308*^9}, 3.484702118734301*^9, 3.484702161054105*^9, {
   3.484702452453986*^9, 3.484702480004353*^9}, {3.484702516912199*^9, 
   3.484702525180563*^9}, {3.484702600180696*^9, 3.48470262326814*^9}, {
   3.48470282626781*^9, 3.484702851643751*^9}, {3.4847029182146*^9, 
   3.484702918910552*^9}, {3.484703074844676*^9, 3.484703127122596*^9}, {
   3.484703214715145*^9, 3.484703224082406*^9}, {3.484703677860826*^9, 
   3.484703695479156*^9}, {3.484707726245441*^9, 3.484707729352048*^9}, {
   3.484710599265232*^9, 3.484710661072403*^9}, {3.484710756149922*^9, 
   3.48471075987569*^9}, 3.484710809960985*^9, {3.484710872206417*^9, 
   3.484711016528193*^9}, 3.484711078657726*^9, 3.484711122568265*^9, {
   3.48471119014059*^9, 3.484711207989863*^9}, {3.484711408648118*^9, 
   3.484711443188785*^9}, {3.484711538925509*^9, 3.484711585888366*^9}, {
   3.484711677394281*^9, 3.484711702928742*^9}, {3.484711742458909*^9, 
   3.484711777454005*^9}, {3.484711829905711*^9, 3.484711855139916*^9}, {
   3.4847119049347*^9, 3.484711937327675*^9}, 3.484712014740506*^9, {
   3.484712112000278*^9, 3.48471211237646*^9}, 3.484712159291219*^9, {
   3.484712215320547*^9, 3.48471222471674*^9}, {3.484712293302784*^9, 
   3.484712298080667*^9}, {3.484712402206017*^9, 3.484712428278712*^9}, {
   3.484782688888247*^9, 3.484782709127562*^9}, {3.484782745976391*^9, 
   3.484782756140758*^9}, {3.484782882900329*^9, 3.484782886252632*^9}, {
   3.484782966763866*^9, 3.484782967467684*^9}, {3.484782998006362*^9, 
   3.484783215244214*^9}, {3.484783247504523*^9, 3.484783452149468*^9}, {
   3.484783492429875*^9, 3.4847836305575*^9}, {3.484783666277218*^9, 
   3.484783784918963*^9}, {3.484783856987864*^9, 3.484783874745079*^9}, {
   3.484783918325741*^9, 3.484783932735658*^9}, {3.484783966705033*^9, 
   3.484783969522037*^9}, {3.484784057793643*^9, 3.484784062529907*^9}, {
   3.484784139460618*^9, 3.484784190027354*^9}, {3.484784256325781*^9, 
   3.484784461020284*^9}, {3.484784519236564*^9, 3.484784529701564*^9}, {
   3.484784571584962*^9, 3.484784572741104*^9}, {3.484784660888984*^9, 
   3.484784661674914*^9}, {3.4847847714539*^9, 3.484784777086307*^9}, {
   3.484784807142428*^9, 3.484784810991411*^9}, {3.484784881358852*^9, 
   3.48478489286527*^9}, {3.484785123653307*^9, 3.484785153828632*^9}, {
   3.484785280239995*^9, 3.484785420965097*^9}, {3.484785498663399*^9, 
   3.484785512666108*^9}, {3.484785738445796*^9, 3.484785761709362*^9}, {
   3.484785799184891*^9, 3.484786202537902*^9}, {3.48478627403744*^9, 
   3.484786372257936*^9}, {3.48478642988504*^9, 3.484786505846327*^9}, {
   3.484786631140591*^9, 3.484786678890867*^9}, {3.484786745502582*^9, 
   3.484786764937446*^9}, {3.484786820064407*^9, 3.484786880754581*^9}, {
   3.484786913008105*^9, 3.484786920750711*^9}, {3.484786976443032*^9, 
   3.484787003121221*^9}, {3.484787045856356*^9, 3.484787077028543*^9}, {
   3.484787137242947*^9, 3.484787251689307*^9}, {3.484787432294771*^9, 
   3.484787435305199*^9}, {3.484787502913619*^9, 3.484787510199216*^9}, {
   3.484787540484758*^9, 3.484787599982795*^9}, {3.484787809848129*^9, 
   3.484787816523004*^9}, {3.484787853027029*^9, 3.484787855940837*^9}, 
   3.484788120458449*^9, {3.48478826180843*^9, 3.484788290995457*^9}, {
   3.484788508065235*^9, 3.484788518517549*^9}, {3.484788654928854*^9, 
   3.484788666324937*^9}, {3.484788706931609*^9, 3.484788786552805*^9}, {
   3.484788939860269*^9, 3.484788940906809*^9}, {3.484789311672447*^9, 
   3.484789372736687*^9}, 3.484789407670066*^9, {3.48478972784741*^9, 
   3.484789756735769*^9}, 3.48479013978952*^9, {3.484790451945212*^9, 
   3.484790458203993*^9}, {3.484792318024358*^9, 3.484792370700279*^9}, {
   3.484792402223153*^9, 3.484792407059851*^9}, {3.484792788061348*^9, 
   3.484792849283972*^9}, {3.484793586191652*^9, 3.484793586640417*^9}, 
   3.48479478059533*^9, {3.484795573425017*^9, 3.484795575580334*^9}, {
   3.484796367874708*^9, 3.484796374794206*^9}, {3.484797409004284*^9, 
   3.484797415615865*^9}, {3.484801181006081*^9, 3.48480122963249*^9}, {
   3.484801417449099*^9, 3.484801434268784*^9}, {3.484801708550054*^9, 
   3.484801712057238*^9}, {3.484802741564881*^9, 3.484802757985107*^9}, {
   3.484803032796268*^9, 3.484803036982809*^9}, {3.484803684058267*^9, 
   3.484803688585288*^9}, {3.485652491656346*^9, 3.485652558777773*^9}, {
   3.485652614893974*^9, 3.485652932100935*^9}, {3.485653280641611*^9, 
   3.485653284550431*^9}, {3.485653381704873*^9, 3.485653385356183*^9}, {
   3.485653524569899*^9, 3.485653702006663*^9}, {3.485653824451418*^9, 
   3.48565386210043*^9}, 3.485653926169986*^9, {3.485654559180875*^9, 
   3.485654574272884*^9}, {3.485656561898479*^9, 3.485656619836102*^9}, {
   3.485656660365064*^9, 3.485656696974918*^9}, {3.485656743033458*^9, 
   3.485656795807552*^9}, {3.485656829590182*^9, 3.485657041831333*^9}, {
   3.485657099175273*^9, 3.485657100456291*^9}, 3.485657141696946*^9, {
   3.485657272235072*^9, 3.485657322483773*^9}, {3.485657360649794*^9, 
   3.485657433694935*^9}, {3.485657636685594*^9, 3.485657645596442*^9}, {
   3.485657692258357*^9, 3.485657767012505*^9}, {3.485659848798256*^9, 
   3.485659939991686*^9}, {3.485660515233378*^9, 3.485660518548368*^9}, {
   3.485667027649516*^9, 3.48566703612761*^9}, {3.48566712504143*^9, 
   3.4856671295654373`*^9}, {3.485667220067095*^9, 3.485667221224581*^9}, {
   3.489351568019669*^9, 3.48935164820757*^9}, {3.489351678625126*^9, 
   3.489351846241208*^9}, {3.489352038315065*^9, 3.489352041303291*^9}, {
   3.489370177751123*^9, 3.489370253959998*^9}, {3.489372062779503*^9, 
   3.4893720654406424`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Remove", "::", "\<\"rmnsm\"\>"}], 
  RowBox[{
  ":", " "}], "\<\"\\!\\(\\*StyleBox[\\\"\\\\\\\"There are no symbols \
matching \\\\\\\\\\\\\\\"\\\\\\\"\\\", \
\\\"MT\\\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\!\\(\\\"Global`*\\\"\\), \\\"MT\\\
\"]\\)\[NoBreak]\\!\\(\\*StyleBox[\\\"\\\\\\\"\\\\\\\\\\\\\\\".\\\\\\\"\\\", \
\\\"MT\\\"]\\) \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/Remove/rmnsm\\\", ButtonNote -> \
\\\"Remove::rmnsm\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.4893708776088257`*^9, 3.4893731736772823`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Time: \"\>", "\[InvisibleSpace]", 
   "0.868081675`9.946408082726714", 
   "\[InvisibleSpace]", "\<\"; Memory Mb: \"\>", "\[InvisibleSpace]", 
   "2119.060552`"}],
  SequenceForm[
  "Time: ", 0.868081675`9.946408082726714, "; Memory Mb: ", 2119.060552],
  Editable->False]], "Print",
 CellChangeTimes->{3.4893714865288067`*^9, 3.489376298770151*^9}],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"Profit & Loss\"\>", "\<\"Year0\"\>", "\<\"Year1\"\>", \
"\<\"Year2\"\>", "\<\"Year3\"\>"},
    {"\<\"sales\"\>", "150", "165.`", "181.50000000000003`", 
     "199.65000000000006`"},
    {"\<\"expenses\"\>", "50", "55.00000000000001`", "60.50000000000001`", 
     "66.55000000000003`"},
    {"\<\"depreciation\"\>", "50", "42.5`", "42.875`", "42.85625`"},
    {"\<\"interest\"\>", "30", "17.728674333194913`", "16.786248315221666`", 
     "15.615458822286826`"},
    {"\<\"pbt\"\>", "20", "49.77132566680508`", "61.33875168477835`", 
     "74.6282911777132`"},
    {"\<\"tax\"\>", "6.`", "14.931397700041524`", "18.401625505433504`", 
     "22.38848735331396`"},
    {"\<\"netprofit\"\>", "14.`", "34.83992796676356`", "42.937126179344844`",
      "52.23980382439923`"},
    {"\<\"dividend\"\>", "7", "17.41996398338178`", "21.468563089672422`", 
     "26.119901912199616`"},
    {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
    {"\<\"Balance Sheet\"\>", "\<\"Year0\"\>", "\<\"Year1\"\>", \
"\<\"Year2\"\>", "\<\"Year3\"\>"},
    {"\<\"cash\"\>", "100", "112.87194237341083`", "132.74466492685764`", 
     "156.79662013257354`"},
    {"\<\"debtors\"\>", "30", "33.`", "36.300000000000004`", 
     "39.93000000000002`"},
    {"\<\"stock\"\>", "30", "33.`", "36.300000000000004`", 
     "39.930000000000014`"},
    {"\<\"fixedassets\"\>", "500", "550", "592.5`", "635.375`"},
    {"\<\"accumdepreciation\"\>", "100", "142.5`", "185.375`", 
     "228.23125000000002`"},
    {"\<\"netfixedassets\"\>", "400", "407.5`", "407.125`", "407.14375`"},
    {"\<\"totalassets\"\>", "560", "586.3719423734108`", "612.4696649268576`",
      "643.8003701325736`"},
    {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
    {"\<\"overdraft\"\>", "0", "0.`", "0.`", "0.`"},
    {"\<\"creditors\"\>", "20", "22.000000000000004`", "24.200000000000003`", 
     "26.62000000000001`"},
    {"\<\"provdiv\"\>", "3.5`", "10.451978390029067`", "12.881137853803454`", 
     "15.67194114731977`"},
    {"\<\"loan\"\>", "236.5`", "236.5`", "236.5`", "236.5`"},
    {"\<\"totalliabilities\"\>", "260.`", "268.951978390029`", 
     "273.58113785380345`", "278.7919411473197`"},
    {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
    {"\<\"capital\"\>", "200", "200", "200", "200"},
    {"\<\"retainedprofit\"\>", "100", "117.41996398338178`", 
     "138.88852707305418`", "165.00842898525383`"},
    {"\<\"equity\"\>", "300", "317.4199639833818`", "338.8885270730542`", 
     "365.00842898525394`"},
    {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
    {"\<\"balance\"\>", "0.`", "0.`", "0.`", 
     RowBox[{"-", "2.842170943040401`*^-14"}]},
    {"\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
    {"\<\"CashFlow\"\>", "\<\"Year0\"\>", "\<\"Year1\"\>", "\<\"Year2\"\>", "\
\<\"Year3\"\>"},
    {"\<\"collections\"\>", "120", "162.`", "178.20000000000002`", 
     "196.02000000000004`"},
    {"\<\"payments\"\>", "60", "56.`", "61.600000000000016`", 
     "67.76000000000002`"},
    {"\<\"interest\"\>", "30", "17.728674333194913`", "16.786248315221666`", 
     "15.615458822286826`"},
    {"\<\"tax\"\>", "6.`", "14.931397700041524`", "18.401625505433504`", 
     "22.38848735331396`"},
    {"\<\"dividend\"\>", "7", "17.41996398338178`", "21.468563089672422`", 
     "26.119901912199616`"},
    {"\<\"newcapital\"\>", "0", "0", "0", "0"},
    {"\<\"newloan\"\>", "0", "0", "0", "0"},
    {"\<\"newassets\"\>", "50", "50", "42.5`", "42.875`"},
    {"\<\"cashflow\"\>", 
     RowBox[{"-", "20"}], "12.871942373410862`", "19.872722553446806`", 
     "24.051955205715906`"},
    {"\<\"cash\"\>", "100", "112.87194237341083`", "132.74466492685764`", 
     "156.79662013257354`"}
   },
   AutoDelete->False,
   GridBoxAlignment->{"Columns" -> {Left}},
   GridBoxDividers->{
    "Rows" -> {
      False, True, False, False, False, False, False, False, False, False, 
       False, True, False, False, False, False, False, False, False, False, 
       False, False, False, False, False, False, False, False, False, False, 
       False, False, True}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Grid"]], "Output",
 CellChangeTimes->{
  3.484703963199882*^9, 3.484704094770812*^9, 3.484704180751351*^9, 
   3.484710208121024*^9, 3.484710246049789*^9, 3.484710519341798*^9, {
   3.484710702536114*^9, 3.484710725694576*^9}, 3.484711268485904*^9, 
   3.4847113163485*^9, 3.484711348464143*^9, 3.484711624895404*^9, 
   3.484711995602368*^9, 3.484712184194462*^9, 3.484712317857205*^9, {
   3.484712462701518*^9, 3.484712480273365*^9}, 3.484788162594828*^9, 
   3.484788344743216*^9, {3.484788379354273*^9, 3.484788384184272*^9}, 
   3.484789442342494*^9, 3.484790516673059*^9, 3.484790926872781*^9, 
   3.484793719859798*^9, 3.484795214180878*^9, 3.484799320464209*^9, 
   3.484799357594773*^9, 3.484799515686966*^9, 3.484800112790782*^9, 
   3.48480094372332*^9, {3.484801006266986*^9, 3.484801021339908*^9}, 
   3.484801295880575*^9, 3.484801766932262*^9, 3.484803219119878*^9, 
   3.484803979538672*^9, 3.484804036922584*^9, 3.484804962241141*^9, 
   3.485659777631452*^9, 3.485659833966056*^9, 3.485667007225032*^9, 
   3.489371486511813*^9, 3.489376298776359*^9}]
}, Open  ]]
},
WindowSize->{674, 443},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"7.0 for Linux x86 (64-bit) (October 28, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 69115, 1530, 5225, "Input"],
Cell[69685, 1554, 651, 12, 24, "Message"],
Cell[70339, 1568, 398, 9, 24, "Print"],
Cell[70740, 1579, 5281, 99, 668, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
